<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{admin.previewimportregions}">Regionen hochladen</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>

	<form method="post" data-th-action="@{/admin/import/{id}/regions(id=${fileUpload.id})}" data-th-object="${importRegionList}">
		<table class="datatable">
			<caption>Zu importierende Regionen</caption>
			<thead>
				<tr>
					<th>#</th>
					<th>importieren</th>
					<th>Name</th>
				</tr>
			</thead>
			<tbody>
				<tr data-th-each="entity,status: *{entities}">
					<td data-th-text="${status.index+1}"></td>
					<td><input type="checkbox" data-th-field="*{entities[__${status.index}__].doImport}"></td>
					<td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.name}"></td>
				</tr>
			</tbody>
		</table>

		<button>Ausgewählte Regionen importieren</button>
	</form>

	<table class="datatable">
		<caption>Bereits vorhandene Regionen</caption>
		<thead>
			<tr>
				<td>Name</td>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="entity: ${existingEntities}">
				<td data-th-text="${entity.name}"></td>
			</tr>
		</tbody>
	</table>
	</main>
</body>